Bug 498188 - Review Request: perl-JavaScript-Minifier - Perl extension for minifying JavaScript code
Review Request: perl-JavaScript-Minifier - Perl extension for minifying JavaS...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 498189
  Show dependency treegraph
 
Reported: 2009-04-29 07:52 EDT by Marcela Mašláňová
Modified: 2011-04-20 23:31 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-04 03:26:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-04-29 07:52:25 EDT
Spec URL: http://mmaslano.fedorapeople.org/review/perl-JavaScript-Minifier.spec
SRPM URL: http://mmaslano.fedorapeople.org/review/perl-JavaScript-Minifier-1.05-1.fc11.src.rpm
Description:
This module removes unnecessary whitespace from JavaScript code. The
primary requirement developing this module is to not break working
code: if working JavaScript is in input then working JavaScript is
output. It is ok if the input has missing semi-colons, snips like '++
+' or '12 .toString()', for example. Internet Explorer conditional
comments are copied to the output but the code inside these comments
will not be minified.
Comment 1 Parag AN(पराग) 2009-04-30 00:20:39 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1329655
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
14c1fa2fcf76c97de4d0fe0d8d7fc145  JavaScript-Minifier-1.05.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
 Files=1, Tests=17,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.04 cusr  0.00 csys =  0.07 CPU)
+ Package perl-JavaScript-Minifier-1.05-1.fc12.noarch =>
 Provides: perl(JavaScript::Minifier) = 1.05
 Requires: perl(Exporter) perl(strict) perl(warnings)
 
APPROVED.
Comment 2 Marcela Mašláňová 2009-04-30 01:54:14 EDT
New Package CVS Request
=======================
Package Name: perl-JavaScript-Minifier
Short Description: Perl extension for minifying JavaScript code
Owners: mmaslano
Branches: F-11
InitialCC: perl-sig
Comment 3 Dennis Gilmore 2009-05-01 17:00:13 EDT
CVS Done
Comment 4 Xavier Bachelot 2011-04-20 09:52:32 EDT
Hi,
Would you be ok to branch this package for EPEL ?
Comment 5 Marcela Mašláňová 2011-04-20 09:59:20 EDT
(In reply to comment #4)
> Hi,
> Would you be ok to branch this package for EPEL ?

Fine with me. Could you maintain it for EPEL?
Comment 6 Xavier Bachelot 2011-04-20 10:25:48 EDT
Sure. Do you want to co-maintain ?
Comment 7 Marcela Mašláňová 2011-04-20 10:31:13 EDT
(In reply to comment #6)
> Sure. Do you want to co-maintain ?

It's not necessary.
Comment 8 Xavier Bachelot 2011-04-20 10:38:18 EDT
Package Change Request
======================
Package Name: perl-JavaScript-Minifier
New Branches: el5 el6
Owners: xavierb
Comment 9 Jason Tibbitts 2011-04-20 23:31:35 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.